// general part
const int ledRot = 10;  
const int ledGruen = 9; 

// Piezo part
const int piezo1 = A9;      
const int piezo2 = A8; 
const int knock = 20;  
const int knockHard = 50; 
int sensorReading1 = 0;      
int sensorReading2 = 0;      
int ledState = LOW;       

// Distance sensor part
int sensor = A7;

// Tilt switch part
const int buttonPin = 5;   
const int ledPin =  6;      
int buttonState = 0;


void setup() {
 pinMode(ledRot, OUTPUT);
 pinMode(ledGruen, OUTPUT); 

 pinMode(ledPin, OUTPUT);      
 pinMode(buttonPin, INPUT);
 
 Serial.begin(9600);     
}

void loop() {
  
 Piezo part
 sensorReading1 = analogRead(piezo1);    
  
 if (sensorReading1 >= knock) {
    ledState = !ledState;   
      
    digitalWrite(ledRot, ledState);
    Serial.println("Piezo 1");         
    Serial.println(sensorReading1);  

    sensorReading1 = map(sensorReading1,0,1023,0,127);  // map (value = eingehend / 0, 1023 = eingehendUnten / 0, 255 = ZielOben, ZielUnten) 
    analogWrite(ledRot, sensorReading1*2); 

    usbMIDI.sendControlChange(50,sensorReading1+50,1);
    delay(50);
    
    usbMIDI.sendControlChange(50,0,1);

 }

    digitalWrite(ledPin, HIGH);   
 
    sensorReading2 = analogRead(piezo2);  
  

  if (sensorReading2 >= knock) {
    ledState = !ledState;   
    
    digitalWrite(ledGruen, ledState);
    Serial.println("Piezo 2");
    Serial.println(sensorReading2);     

    sensorReading2 = map(sensorReading2,0,1023,0,127);  // map (value = eingehend / 0, 1023 = eingehendUnten / 0, 255 = ZielOben, ZielUnten) 
    analogWrite(ledGruen, sensorReading2*4); 

    usbMIDI.sendControlChange(60,sensorReading2+50,1);
    delay(50);
    
  usbMIDI.sendControlChange(60,0,1);
  }
  
  delay(10);  // delay to avoid overloading the serial port buffer

  if (sensorReading2 >= knockHard) {
    ledState = !ledState;   
    
    digitalWrite(ledGruen, ledState);
    Serial.println("Piezo 2 HARD");
    Serial.println(sensorReading2);     

    sensorReading2 = map(sensorReading2,0,1023,0,127);  // map (value = eingehend / 0, 1023 = eingehendUnten / 0, 255 = ZielOben, ZielUnten) 
    analogWrite(ledGruen, sensorReading2*2); 

    usbMIDI.sendControlChange(60,sensorReading2+100,1);
    delay(300);
    usbMIDI.sendControlChange(60,0,1);

  }
  
  delay(10);  // delay to avoid overloading the serial port buffer


Serial.println(sensorReading1); 
Serial.println(sensorReading2); 

// Distance sensor part
  {
int Value = analogRead(sensor);
  int sensorValue = map(Value, 0, 1024, 0 , 127);
  if ( sensorValue > 25 && sensorValue <60){
    digitalWrite(ledRot, LOW);
    digitalWrite(ledGruen, HIGH);  
    
    usbMIDI.sendControlChange(70,sensorValue+10,1);
    delay(10);
  } 

  else if (sensorValue > 61 && sensorValue <130){
    digitalWrite(ledRot, HIGH);
    digitalWrite(ledGruen, LOW);  

    usbMIDI.sendControlChange(70,sensorValue+30,1);
    delay(10);

  }  
  
    else if (sensorValue > 15 && sensorValue <20){
    digitalWrite(ledRot, HIGH);
    digitalWrite(ledGruen, LOW);  

    usbMIDI.sendControlChange(70,0,1);
    delay(10);

  }  
  
  else {
// turn off the two leds
    digitalWrite(ledRot, LOW); 
    digitalWrite(ledGruen, LOW);
        
    delay(10);
  }
  Serial.println(sensorValue);
 delay(10); 

  }
  
// Tilt switch part
{
  buttonState = digitalRead(buttonPin);

  if (buttonState == HIGH) {     
   
 usbMIDI.sendControlChange(80,127,1);
     
  } 
  else { 
   
//    usbMIDI.sendControlChange(80,0,1);         
  }
  
    Serial.println(buttonState);
}
}
